# DaprProtos.GetJobRequestOrBuilder (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.v1, class: DaprProtos, interface: GetJobRequestOrBuilder

Package io.dapr.v1

# Interface DaprProtos.GetJobRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetJobRequest`, `DaprProtos.GetJobRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetJobRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
The name of the job.
`com.google.protobuf.ByteString`
`getNameBytes()`
The name of the job.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()

     The name of the job.

`string name = 1;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()

     The name of the job.

`string name = 1;`

Returns:
  The bytes for name.